curl --request GET \
--url https://cockroachlabs.cloud/api/v1/virtual-cluster-workspaces/{workspace_id} \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"cloud_provider": "AWS",
"created_at": "2026-03-22T20:23:11.285067Z",
"default_virtual_cpu_burst_limit": 4,
"id": "35c4abb2-bb66-46d7-afed-25ebef5ed2aa",
"name": "production",
"regions": [
"us-east-1",
"us-west-2"
],
"updated_at": "2026-04-01T09:14:02.114930Z"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Show details for a specific workspace
Can be used by the following roles assigned at the organization scope:
- ORG_ADMIN
- CLUSTER_ADMIN
- CLUSTER_OPERATOR_WRITER
- CLUSTER_DEVELOPER
- CLUSTER_CREATOR
- AUDITOR
curl --request GET \
--url https://cockroachlabs.cloud/api/v1/virtual-cluster-workspaces/{workspace_id} \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"cloud_provider": "AWS",
"created_at": "2026-03-22T20:23:11.285067Z",
"default_virtual_cpu_burst_limit": 4,
"id": "35c4abb2-bb66-46d7-afed-25ebef5ed2aa",
"name": "production",
"regions": [
"us-east-1",
"us-west-2"
],
"updated_at": "2026-04-01T09:14:02.114930Z"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the workspace.
Response
A successful response.
A workspace is a named handle for the infrastructure a set of virtual clusters runs on.
- GCP: The Google Cloud Platform cloud provider.
- AWS: The Amazon Web Services cloud provider.
- AZURE: The Azure cloud provider.
GCP, AWS, AZURE The date and time the workspace was created.
The vCPU burst limit a virtual cluster gets when its create request does not ask for a specific one. Changing this value in a workspace does not affect clusters that already exist in the workspace, only newly created clusters.
The unique identifier of the workspace.
The name of the workspace.
The regions the workspace spans. A virtual cluster created into it may use any subset of these and no others.
The date and time the workspace was last modified.

